Create a document pdf export
curl --request POST \
--url https://api-joy.joyfill.io/v1/documents/{identifier}/exports/pdf \
--header 'Content-Type: application/json' \
--data '
{
"fields": "<array>",
"timezone": "UTC"
}
'import requests
url = "https://api-joy.joyfill.io/v1/documents/{identifier}/exports/pdf"
payload = {
"fields": "<array>",
"timezone": "UTC"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({fields: '<array>', timezone: 'UTC'})
};
fetch('https://api-joy.joyfill.io/v1/documents/{identifier}/exports/pdf', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"{\n \"download_url\": \"String\",\n \"preview_url\": \"String\"\n}"Documents
Create a document pdf export
POST
/
documents
/
{identifier}
/
exports
/
pdf
Create a document pdf export
Headers
Supports both API Key and User Access Token authorization. See https://joyfill.mintlify.app/api/authentication
Path Parameters
A document's unique identifier. Specifies that you want to use a saved Joyfill document to generate the PDF export.
Body
application/json
Was this page helpful?
⌘I